from setuptools import setup, find_packages

setup(
    name='cancer_chatbot',
    version='0.1.8',
    description='This is a chatbot created to answer all your questions related to cancer and cancer research from various journal articles such as PubMed, Biorxiv.',
    long_description=open('README.md').read(),
    long_description_content_type='text/markdown',
    author='Akshay P R, Kiran K T',
    author_email='akshaypr314159@gmail.com',
    url='https://github.com/Dorcatz123/cancer_chatbot.git',
    packages=find_packages(),
    package_data={'cancer_chatbot': ['*.csv']},
    include_package_data = True,
    install_requires=[
        'numpy',
        'pandas',
        'langchain',
        'langchain_openai',
        'langchain_community',
        'faiss-cpu',
        'langchain_core'

    ],
    entry_points={
        'console_scripts': [
            'cancer_chatbot=cancer_chatbot.main:main',  # Define the console command and entry point
        ],
    },


    classifiers=[
        'Programming Language :: Python :: 3',
        'License :: OSI Approved :: GNU General Public License v3 (GPLv3)',
        'Operating System :: OS Independent',
    ],
    python_requires='>=3.9',  # Specify the Python version your project supports
)
